Bug 1210419

Summary: var-lib-nfs-rpc_pipefs.mount fails to activate on Atomic AMI
Product: [Fedora] Fedora Reporter: David Gay <dgay>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 22CC: bfields, jlayton, pfrields, steved, walters
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-03-17 12:22:13 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description David Gay 2015-04-09 16:46:02 UTC
Description of problem:

As part of our QA tests for Fedora Cloud AWS AMIs, `systemctl --all --failed` should report no loaded units failing. However, on the F22 Cloud RC1 Atomic AMIs, this result is reported, instead:

  UNIT                         LOAD   ACTIVE SUB    DESCRIPTION         
● var-lib-nfs-rpc_pipefs.mount loaded failed failed RPC Pipe File System

Version-Release number of selected component (if applicable):

I'm not sure what the relevant components are here, but it's whatever's there after booting an AMI based on the image http://dl.fedoraproject.org/pub/alt/stage/22_Beta_RC1/Cloud-Images/x86_64/Images/Fedora-Cloud-Atomic-22_Beta-20150407.x86_64.raw.xz

How reproducible:


Steps to Reproduce:
1. Launch an AMI of the above build, such as Fedora-Cloud-Atomic-22_Beta-20150407.x86_64-us-west-2-HVM-standard-0 (ami-d16e45e1)
2. Connect to the running instance with username "fedora" and the keypair you associated with the new instance
3. run `systemctl --all --failed`

Actual results:

  UNIT                         LOAD   ACTIVE SUB    DESCRIPTION         
● var-lib-nfs-rpc_pipefs.mount loaded failed failed RPC Pipe File System

1 loaded units listed.

Expected results:

0 loaded units listed.

Additional info:

roshi reports that he may have seen this issue when testing the image locally, as well.

Comment 1 David Gay 2015-05-21 16:24:51 UTC
Just an update: still seeing this on the final RC2 Atomic AMI.